#!/bin/sh

export INTERFACE=@_INTERFACE_@

if (test -z $1) then
   echo "***********************************************"
   echo "* INPUT ERROR: no events files to mix         *"
   echo "* usage:                                      *"
   echo "*     ./translator {files_with_events}        *"
   echo "***********************************************"
  exit 99
fi

if (test -x $INTERFACE/translator.exe) then
  if [ x$1 = xDEBUG ]; then
    ddd $INTERFACE/translator.exe
  else
    $INTERFACE/translator.exe $*
  fi
else
  echo ""
  echo "  translator (error): no file $INTERFACE/translator.exe. Compile interface"
  echo ""
  exit -1
fi
